<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>hk.quantr.mxgraph.swing.handler (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="hk.quantr.mxgraph.swing.handler (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Package" class="title">Package&nbsp;hk.quantr.mxgraph.swing.handler</h1>
</div>
<div class="contentContainer">
<section role="region"><a id="package.description">
<!--   -->
</a>
<div class="block">This package contains all classes required for mouse event handling in
  JFC/Swing. The classes implement rubberband selection, mouse tracking,
  creating connections, handling vertices and edges, moving cells, panning
  and keystroke handling.</div>
</section>
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxCellHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxCellMarker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellMarker</a></th>
<td class="colLast">
<div class="block">Implements a mouse tracker that marks cells under the mouse.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxCellTracker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellTracker</a></th>
<td class="colLast">
<div class="block">Event handler that highlights cells.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxConnectionHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectionHandler</a></th>
<td class="colLast">
<div class="block">Connection handler creates new connections between cells.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxConnectPreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxConnectPreview</a></th>
<td class="colLast">
<div class="block">Connection handler creates new connections between cells.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxEdgeHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxEdgeHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxElbowEdgeHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxElbowEdgeHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxGraphHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxGraphHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxGraphTransferHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxGraphTransferHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxInsertHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxInsertHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxKeyboardHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxKeyboardHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxMovePreview.html" title="class in hk.quantr.mxgraph.swing.handler">mxMovePreview</a></th>
<td class="colLast">
<div class="block">Connection handler creates new connections between cells.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxPanningHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxPanningHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxRotationHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxRotationHandler</a></th>
<td class="colLast">
<div class="block">Basic example of implementing a handler for rotation.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxRubberband.html" title="class in hk.quantr.mxgraph.swing.handler">mxRubberband</a></th>
<td class="colLast">
<div class="block">Implements a rubberband selection.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="mxSelectionCellsHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxSelectionCellsHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="mxVertexHandler.html" title="class in hk.quantr.mxgraph.swing.handler">mxVertexHandler</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
